CueFrame

List b-roll candidates for a clip, grouped by moment

Required permission: media:read

GET
/v1/clips/{clipId}/broll/candidates

Authorization

AuthorizationBearer <token>

API key auth. Prefix cf_live_ for production orgs, cf_test_ for sandbox.

In: header

Path Parameters

clipId*string

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/clips/string/broll/candidates"
{  "clipId": "string",  "data": [    {      "suggestionIndex": 0,      "moment": "string",      "rationale": "string",      "searchTerms": [        "string"      ],      "startTime": 0,      "duration": 0,      "fetchStatus": "ok",      "candidates": [        {          "id": "string",          "provider": "pexels",          "externalId": "string",          "query": "string",          "thumbnail": "http://example.com",          "previewUrl": "http://example.com",          "downloadUrl": "http://example.com",          "duration": 0,          "width": 0,          "height": 0,          "rank": 0,          "photographer": "string",          "photographerUrl": "http://example.com",          "assetUrl": "http://example.com"        }      ]    }  ]}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}
{  "error": {    "code": "string",    "message": "string",    "details": {      "property1": null,      "property2": null    }  }}